#!/bin/bash
# Script utilisé pour "automatiser" (raccourcir) le processus de pull, d'ajout, de commit et de push pour le répositoire Gitea personnel.
# Ajout de messages et de délais pour mieux se repérer et se situer dans le processus.
# Ajout d'un système de choix
# Ajout d'un export de proxy HTTP/HTTPS automatique vers ceux du lycée pour la machine en salle 214.
# Ajout d'un système de gestion d'erreur très basique pour éviter qu'un push/un pull se produise en cas de réponses incorrectes.
# Suppression des derniers vestiges de l'existence d'une branche autre que 'main'

export http_proxy="http://10.121.38.1:8080/"
export https_proxy="http://10.121.38.1:8080/"

echo "Voulez-vous récupérer les fichiers du dépôt ou effectuer un push sur le dépôt ? [1 = Pull, 2 = Push]"
read answer

if [ $answer == 1 ] ; then
	echo "Récupération des fichiers à jour, branche main..."
	git pull -q origin main
	echo "Fichiers à jour récupérés."
else
	echo "Ajout des fichiers au Gitea..."
	sleep 1
	git add .
	echo "Commit en cours..."
	sleep 1
	git commit
	git tag -l "v.*" --sort="-v:refname"
	echo "Entrez la version du tag: (Le plus récent est en haut)"
	read tag
	git tag $tag
	echo "Push des fichiers au Gitea, branche main..."
	sleep 1
	git push -q origin main --tag
fi
